Subject: [alpine-aports] [PATCH] testing/autossh: update to 1.4e + README.alpine

From: Stuart Cardall <[email-masked]>
Date: Wed, 29 Jul 2015 17:19:07 +0000

---
 testing/autossh/APKBUILD      | 20 +++++++++++++-------
 testing/autossh/README.alpine | 34 ++++++++++++++++++++++++++++++++++
 2 files changed, 47 insertions(+), 7 deletions(-)
 create mode 100644 testing/autossh/README.alpine

diff --git a/testing/autossh/APKBUILD b/testing/autossh/APKBUILD
index 99cecc1..ef27bd3 100644
--- a/testing/autossh/APKBUILD
+++ b/testing/autossh/APKBUILD
@@ -1,7 +1,7 @@
 # Contributor: Carlo Landmeter <[email-masked]>
-# Maintainer:
+# Maintainer: Stuart Cardall <[email-masked]>
 pkgname=autossh
-pkgver=1.4c
+pkgver=1.4e
 pkgrel=0
 pkgdesc="Automatically restart SSH sessions and tunnels"
 url="http://www.harding.motd.ca/autossh/"
@@ -10,9 +10,10 @@ license="BSD"
 depends="openssh-client"
 depends_dev=""
 makedepends="$depends_dev"
-install=""
 subpackages="$pkgname-doc"
-source="http://www.harding.motd.ca/autossh/autossh-$pkgver.tgz"
+source="http://www.harding.motd.ca/autossh/autossh-$pkgver.tgz
+	README.alpine
+	"
 
 _builddir="$srcdir"/autossh-$pkgver
 prepare() {
@@ -53,8 +54,13 @@ package() {
 		"$pkgdir"/usr/share/autossh/examples/rscreen || return 1
 	install -D -m644 autossh.1 \
 		"$pkgdir"/usr/share/man/man1/autossh.1 || return 1
+	install -Dm644 "$srcdir"/README.alpine \
+                "$pkgdir"/usr/share/doc/$pkgname/README.alpine || return 1
 }
 
-md5sums="26520eea934f296be0783dabe7fcfd28  autossh-1.4c.tgz"
-sha256sums="6fcaba6a409a46bdf832086736bb8f09d245ebce11027f41d39588a95dc7fd1d  autossh-1.4c.tgz"
-sha512sums="0bb7becf638959161791cfe93e80edea33b2223906b1aa43bc97e30fb310851f78e9dff1ea72c533958216862af2e32b5e42dfe447469fb74dc8ef9907dea1a3  autossh-1.4c.tgz"
+md5sums="f86684b96e99d22b2e9d35dc63b0aa29  autossh-1.4e.tgz
+fb31542bb76c90a8286fdf8eca402d1e  README.alpine"
+sha256sums="9e8e10a59d7619176f4b986e256f776097a364d1be012781ea52e08d04679156  autossh-1.4e.tgz
+7e1a64e013743e94aa9477968d1a9dc9ca71f11b45a0530088d0c03b19f474cb  README.alpine"
+sha512sums="2f71403ee005103c6a3e2e669f6b26153161c95c8dacd3e73d61673461b3512348636877760d911341771e744c0a682b107df4ac48621661ff36a9fc0191f2fb  autossh-1.4e.tgz
+25ec2d17c5b93d8c3f5b41f1bb2671432e8d29081621fe58ff8de4c20171b7447459272a27264440a947ef5867ed15bbaaea8ea7ec02783956055e0ee8e31128  README.alpine"
diff --git a/testing/autossh/README.alpine b/testing/autossh/README.alpine
new file mode 100644
index 0000000..d7013c3
--- /dev/null
+++ b/testing/autossh/README.alpine
@@ -0,0 +1,34 @@
+Example: Connecting to remote postgresql
+========================================
+
+(1) On both the local & remote hosts:
+
+adduser -s /bin/false autossh   <with blank passwords>
+-------------------------------------------------------------------
+
+(2) On the local client create an SSH key with an empty password:
+
+su -s /bin/sh autossh
+echo 'y' |ssh-keygen -t ed25519 -N ''
+-------------------------------------------------------------------
+
+(3) If using runit for service supervision < /etc/sv/autossh/run >:
+
+-------------------------------------------------------------------
+#!/bin/sh
+exec 2>&1
+su -s /bin/sh autossh -c \
+'autossh -M 0 -o "ServerAliveInterval 60" -o "ServerAliveCountMax 3" -L 1234:localhost:1234 -N -l autossh remote.ip.addr'
+-------------------------------------------------------------------------------------------------------------------------
+ln -s /etc/sv/autossh /etc/service/autossh
+-------------------------------------------------------------------------------
+** if running autossh in a script without using runit add -f to ssh options **|
+-------------------------------------------------------------------------------
+
+(4) Connect with:
+
+psql -h 127.0.0.1 -p 1234 -U username -d database
+-------------------------------------------------------------------------------
+openssh-server: works out of the box			| ed25519 keys possible
+dropbear: 	echo "/bin/false" >> /etc/shells	| ecdsa keys possible
+tinyssh: 	port forwarding not yet implemented     | ed25519 keys possible
-- 
2.4.6

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---